For the complete documentation index, see llms.txt. This page is also available as Markdown.

PlanDefault

Perform various operations for Symitar parameters.

Symitar eDocs References: Coming soon.

Operations

getPlanDefault

post

Retrieve PlanDefault parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
PlanDefaultReservePlanTypeintegerRequired
Responses
200

Successful operation.

application/json
post/getPlanDefault
POST /nexum/627/2022.01/parameter/getPlanDefault HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 166

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PlanDefaultReservePlanType": 1,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "PlanDefault": {
    "RecordChangeDate": "2010-05-08"
  },
  "MessageId": "getPlanDefault"
}

getPlanDefaultSelectFields

post

Retrieve PlanDefault parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
PlanDefaultReservePlanTypeintegerOptional
Responses
200

Successful operation.

application/json
post/getPlanDefaultSelectFields
POST /nexum/627/2022.01/parameter/getPlanDefaultSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 266

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PlanDefaultReservePlanType": 0,
  "SelectableFields": {
    "PlanDefaultFields": {
      "ReservePlanType": true,
      "Description": true,
      "Type": true
    }
  }
}
200

Successful operation.

{
  "PlanDefault": {
    "Description": "Reserve Plan Type 00",
    "ReservePlanType": 0,
    "Type": 0
  },
  "MessageId": "getPlanDefaultSelectFields"
}

getPlanDefaultPagedList

post

Retrieve PlanDefault parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getPlanDefaultPagedList
POST /nexum/627/2022.01/parameter/getPlanDefaultPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 238

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0,
    "Token": "example-token"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "PlanDefault": [],
  "Token": null,
  "MessageId": "getPlanDefaultPagedList"
}

getPlanDefaultListSelectFields

post

Retrieve PlanDefault parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/getPlanDefaultListSelectFields
POST /nexum/627/2022.01/parameter/getPlanDefaultListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 194

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "SelectableFields": {
    "IncludeAllPlanDefaultFields": true
  }
}
200

Successful operation.

{
  "PlanDefaultList": [],
  "MessageId": "getPlanDefaultListSelectFields"
}

searchPlanDefaultSelectFields

post

Search PlanDefault parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/searchPlanDefaultSelectFields
POST /nexum/627/2022.01/parameter/searchPlanDefaultSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 232

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SelectableFields": {
    "IncludeAllPlanDefaultFields": true
  },
  "SearchFilter": {
    "Query": "example-query"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "PlanDefaultList": [],
  "MessageId": "searchPlanDefaultSelectFields"
}

getPlanDefaultPagedListSelectFields

post

Retrieve PlanDefault parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getPlanDefaultPagedListSelectFields
POST /nexum/627/2022.01/parameter/getPlanDefaultPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 314

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "PlanDefaultFields": {
      "ReservePlanType": true,
      "Description": true,
      "Type": true
    }
  }
}
200

Successful operation.

{
  "PlanDefault": [
    {
      "Description": "Reserve Plan Type 00",
      "ReservePlanType": 0,
      "Type": 0
    }
  ],
  "Token": "{paging-token}",
  "MessageId": "getPlanDefaultPagedListSelectFields"
}

searchPlanDefaultPagedSelectFields

post

Search PlanDefault parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
QuerystringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchPlanDefaultPagedSelectFields
POST /nexum/627/2022.01/parameter/searchPlanDefaultPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 325

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "Query": "",
  "SelectableFields": {
    "PlanDefaultFields": {
      "ReservePlanType": true,
      "Description": true,
      "Type": true
    }
  }
}
200

Successful operation.

{
  "PlanDefault": [
    {
      "Description": "Reserve Plan Type 00",
      "ReservePlanType": 0,
      "Type": 0
    }
  ],
  "Token": "{paging-token}",
  "MessageId": "searchPlanDefaultPagedSelectFields"
}

updatePlanDefaultByID

post

Update PlanDefault parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
PlanDefaultReservePlanTypeintegerOptional
Responses
200

Successful operation.

application/json
post/updatePlanDefaultByID
POST /nexum/627/2022.01/parameter/updatePlanDefaultByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 236

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PlanDefaultReservePlanType": 1,
  "PlanDefaultUpdatableFields": {
    "Type": 0,
    "Description": "NEXUM EXAMPLE"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "updatePlanDefaultByID"
}

Last updated

Was this helpful?